The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> wcsstr - find a wide-character substring

#### SYNOPSIS

> ``#include <wchar.h>
> wchar_t *wcsstr(const wchar_t *restrict` ws1`,
> const wchar_t *restrict` ws2`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of IEEE Std 1003.1-2001 defers to the ISO C standard.

> The wcsstr() function shall locate the first occurrence in the wide-character string pointed to by ws1 of the sequence of wide characters (excluding the terminating null wide character) in the wide-character string pointed to by ws2.

#### RETURN VALUE

> Upon successful completion, wcsstr() shall return a pointer to the located wide-character string, or a null pointer if the wide-character string is not found.

> If ws2 points to a wide-character string with zero length, the function shall return ws1.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> wcschr(), the Base Definitions volume of IEEE Std 1003.1-2001, <wchar.h>

#### CHANGE HISTORY

> First released in Issue 5. Included for alignment with ISO/IEC 9899:1990/Amendment 1:1995 (E).

#### Issue 6

> The wcsstr() prototype is updated for alignment with the ISO/IEC 9899:1999 standard.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]